Summary: A clone of the old BBC Micro Repton game.
Name: repton
Version: 1.3
Release: 8
Copyright: BSD
Group: Amusements/Games
Source: ftp://metalab.unc.edu/pub/Linux/games/arcade/repton-%{version}.tar.gz
ExclusiveArch: i386
Patch0: repton.patch
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: svgalib, svgalib-devel
Requires: svgalib

%description
Repton is a clone of the old BBC Micro Repton game.  The original
Repton game was the third hit Repton game for Superior Software.

%prep
%setup -q  
%patch0 -p1

%build
make RPM_OPTS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/games/
mkdir -p $RPM_BUILD_ROOT/usr/games/lib/repton/{maps,bmps,snds}

install -m 755 repton $RPM_BUILD_ROOT/usr/games/
install -m 644 maps/* $RPM_BUILD_ROOT/usr/games/lib/repton/maps/
install -m 644 bmps/* $RPM_BUILD_ROOT/usr/games/lib/repton/bmps/
install -m 644 snds/* $RPM_BUILD_ROOT/usr/games/lib/repton/snds/

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYRIGHT TODO INSTALL NEWS
/usr/games/repton
/usr/games/lib/repton

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sun Jul 23 2000 Tim Powers <timp@redhat.com>
- added missing BuildPrereq and Requires lines

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu May 18 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0
- updated source location

* Wed Jul 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Sun Apr 11 1999 Michael Maher <mike@redhat.com>
- built package
